Announcement

Collapse
No announcement yet.

upgrade from 3.8.7 => 4.1.7 fails

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] upgrade from 3.8.7 => 4.1.7 fails

    I recently installed 3.8.7 and got it working, was able to create a new user to verify.
    I followed the step to upgrade to 4.1.7.

    I uploaded 4.1.7 to my server.
    un-tar/zip'd it into a new dir
    renamed/updated config.php.new => config.php

    changed my apache config to point to the new dir.
    restarted.
    rant the upgrade.php from my browser.

    I get:

    Upgrading to 4.1.7

    Press the button below to begin the upgrade
    from 3.8.7 to 4.1.7

    pressed 'Upgrade'

    get:

    The server returned no response. This is probably due to a timeout setting. Please contact vBulletin Support for assistance

    I look in my error_log and see a number of Segmentation fault notifications

    In fact I attempted to install 4.1.7 directly and got the same message.

  • #2
    What versions of php are you using?

    Comment


    • #3
      5.3.8

      Ok, I've successfully updated updated from vbulletin 3.8.7 to 4.0.8 patch level 4.
      I'm going to verify that the update worked before attempting to update to 4.1.7.

      ...
      the upgrade to 4.0.8 was a success. I noted too there were no Segmentation faults listed in error_log.
      Last edited by dkelsey; Thu 20th Oct '11, 3:31pm.

      Comment


      • #4
        This means something unexpected was received as a response via AJAX.

        Support: Enable firebug and inspect the console to see what is being returned. I would guess something, say bad stuff in config.php, is probably being spit out before the XML response.

        Comment


        • #5
          The upgrade from 4.0.8 to 4.1.7 failed with the same error message.

          from error_log:

          [Thu Oct 20 23:33:20 2011] [notice] Apache/2.2.21 (Unix) configured -- resuming normal operations
          [Thu Oct 20 23:33:20 2011] [info] Server built: Oct 20 2011 00:53:07
          [Thu Oct 20 23:33:20 2011] [debug] prefork.c(1023): AcceptMutex: fcntl (default: fcntl)
          [Thu Oct 20 23:33:48 2011] [notice] child pid 23886 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:57 2011] [notice] child pid 23891 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:57 2011] [notice] child pid 23892 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:57 2011] [notice] child pid 23893 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:57 2011] [notice] child pid 23890 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:58 2011] [notice] child pid 23868 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:58 2011] [notice] child pid 23870 exit signal Segmentation fault (11)
          [Thu Oct 20 23:33:58 2011] [notice] child pid 23867 exit signal Segmentation fault (11)
          [Thu Oct 20 23:40:22 2011] [notice] child pid 24305 exit signal Segmentation fault (11)
          [Thu Oct 20 23:40:22 2011] [notice] child pid 24304 exit signal Segmentation fault (11)

          These occurred only after supplying the user account and submitting "Begin Upgrade"

          Comment


          • #6
            Originally posted by dkelsey View Post
            The upgrade from 4.0.8 to 4.1.7 failed with the same error message.

            from error_log:

            [Thu Oct 20 23:33:20 2011] [notice] Apache/2.2.21 (Unix) configured -- resuming normal operations
            [Thu Oct 20 23:33:20 2011] [info] Server built: Oct 20 2011 00:53:07
            [Thu Oct 20 23:33:20 2011] [debug] prefork.c(1023): AcceptMutex: fcntl (default: fcntl)
            [Thu Oct 20 23:33:48 2011] [notice] child pid 23886 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:57 2011] [notice] child pid 23891 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:57 2011] [notice] child pid 23892 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:57 2011] [notice] child pid 23893 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:57 2011] [notice] child pid 23890 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:58 2011] [notice] child pid 23868 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:58 2011] [notice] child pid 23870 exit signal Segmentation fault (11)
            [Thu Oct 20 23:33:58 2011] [notice] child pid 23867 exit signal Segmentation fault (11)
            [Thu Oct 20 23:40:22 2011] [notice] child pid 24305 exit signal Segmentation fault (11)
            [Thu Oct 20 23:40:22 2011] [notice] child pid 24304 exit signal Segmentation fault (11)

            These occurred only after supplying the user account and submitting "Begin Upgrade"
            Can you reupload all files and make sure config.php is encoding is set to ANSI?

            Also, disable eaccelarator and/or any other caching mechanism you have. Disable memcache if you have any.

            Comment


            • #7
              re-ran a again with firebug. looks like the server is dying - at least the process that's handling the request.

              It looks like the request is sent with post variables and nothing comes back.

              There is one error message:

              XML Parsing Error: no element found Location: moz-nullprincipal: {c695f87c-ela3-a914-2a544aa86b8c} Line Number 1, Column 1:

              Is there some way to get into debug mode to see exactly what is happening?

              Comment


              • #8
                You need to figure out why your server is seg faulting, how much memory does php have available to it?

                Comment


                • #9
                  up to 2GiB approx

                  Comment


                  • #10
                    PHP will say what its memory limit is, if you have cPanel/WHM i would suggest recompilign php.

                    Comment


                    • #11
                      ok time is up for this. I'm going to use ver 4.0.8. last bit of Info I have which may or may not be useful. I ran dtrace while attempting the upgrade process. The last line I see in the output was:

                      called setup_environment() in /opt/bstage/configs/vbulletin/forums/install/includes/class_upgrade.php

                      The error_log also shows a Seg fault.

                      That's it for me.
                      Thanks for your help.

                      D

                      Comment


                      • #12
                        Solved the problem and got the upgrade to work. PHP was build with shared object that depended on different version of iconv/libiconv. I successfully upgraded to v4.1.7.

                        Comment

                        Related Topics

                        Collapse

                        Working...
                        X